introduction

CAB File Format Support

The CAB plug-in is an archive management plug-in for ACD digital-imaging management products. With this plug-in you can create and open cabinet archives (CAB archive format files). The CAB archive format was created by Microsoft to store compressed files in a logical order.

Cabinet archives are used to store compressed installation files. The files are decompressed when the installation is started. Large files can be compressed and included in more than one cabinet file, with all files contained in a logical folder. CAB archive files are created using Lempel-Ziv compression.


Adjusting Settings

Customize your compression using the CAB Encode Settings.

To save any adjustments for the next time you use the CAB plug-in:

Select Save these settings as defaults.

Disk Spanning

Spanning creates multi-cabinet files - multiple files within the same archive.

Multi-cabinet filenames are numbered to represent their place in the sequence (e.g. filename1.cab, filename2.cab, filename3.cab). If one of the files in a multi-cabinet set is missing, then it can no longer be viewed as a whole.

To enable spanning:

Select Enable spanning.

When spanning is enabled, a disk name and size should be specified. The name is used by the cabinet extractor to identify the files as part of the same archive. The size sets a maximum size for the files in the archive.

To name a set of multi-cabinet files:

Type a name in the Disk Name field.

To specify a disk size:

  1. Click the Disk Size drop-down arrow.

  2. Do one of the following:

    • Select a predetermined size.

    • Select Custom.

  3. If Custom is selected, type a size in the KBytes field.

To prompt you each time a new file is created:

Select Prompt for new disk.

Compression Methods

If you would like to add compression to your CAB archive, the CAB plug-in supports MSZIP and various levels of LZX compression.

To add compression to your archive:

  1. Click the Compression Method drop-down arrow.

  2. Select one of the following:

    • None: no compression

    • MSZIP: similar to the deflation compression method used by PKZip

    • LZX (levels 15 to 21): uses static Huffman encoding. LZX uses more memory, but can produce better compression ratios than MSZIP.


.topic 1009
Creates the archive.

.topic 1010
Saves the current settings as the default.

.topic 1002
The Cabinet ID is used by the cabinet-file extractor for identification. Multi-cabinet files in the same set must have the same cabinet id.

.topic 1004
Select the check box to create the multi-cabinet files and then specify the disk name and the disk size.

.topic 1006
Specify the maximum size for the cabinet file. You can choose the predefined value for the disk (such as 1.44 MB) or enter a custom value. When this maximum is reached, a new cabinet file is created.

.topic 1008
Opens the help file.

.topic 1003
Specify the amount of space to reserve in a cabinet; otherwise, set to zero. A common use for this variable is to reserve space to store per-folder cryptographic information, in the case where the cabinet is encrypted. For example, setting the header-reserved field to 6144 is commonly used to reserve a 6K space in the cabinet file as needed for co-designing. The other reserved sections are not commonly used.

.topic 1007
Close the dialog box without saving any changes.

.topic 1012
Specifies the compression method.

.topic 1001
Specify the threshold size for the folder. If the threshold is exceeded, then the new folder is created. Normally, the larger the threshold folder, the better the compression results.

.topic 1005
Specify the disk name if creating the multi-cabinet files, otherwise, you can leave the disk name blank.